SET ECHO ON
SPOOL xakza#30421.lst
SET DEFINE OFF

-- Rapportageview alvast via dit script aanpassen, aangezien akza.sql op de schop
-- ligt voor de doorbelastingsexport.

---- Kentekenoverzicht (nu met flexvelden ipv persoonsgebonden objecten)
-- AKZA#30421: nu met fullnames en aanklikbare namen
CREATE OR REPLACE VIEW akza_v_rap_kentekens
AS
   SELECT * FROM
     (SELECT prs_perslid_naam_full||'1' hide_f_sort
            ,prs_perslid_naam_full fclt_x_naam
            ,      '<a class="details" onclick=''FcltMgr.openDetail("'
                || 'appl/prs/prs_perslid.asp?key='||pf.prs_perslid_key
                || '")''>'
                || htf.escape_sc(prs_perslid_naam_full)
                || '</a>'
             html_naam
            ,knt.prs_kenmerklink_waarde fclt_f_kenteken
            ,ud.fac_usrdata_omschr soort
            ,mrk.prs_kenmerklink_waarde merk
            ,typ.prs_kenmerklink_waarde type
            ,klr.prs_kenmerklink_waarde kleur
        FROM prs_v_perslid_fullnames pf
            ,prs_v_aanwezigkenmerklink knt
            ,prs_v_aanwezigkenmerklink srt
            ,fac_usrdata ud
            ,prs_v_aanwezigkenmerklink mrk
            ,prs_v_aanwezigkenmerklink typ
            ,prs_v_aanwezigkenmerklink klr
       WHERE     knt.prs_link_key    = pf.prs_perslid_key
             AND knt.prs_kenmerk_key = 1260
             AND srt.prs_link_key(+) = pf.prs_perslid_key
             AND srt.prs_kenmerk_key(+) = 1280
             AND srt.prs_kenmerklink_waarde = ud.fac_usrdata_key(+)
             AND mrk.prs_link_key(+) = pf.prs_perslid_key
             AND mrk.prs_kenmerk_key(+) = 1281
             AND typ.prs_link_key(+) = pf.prs_perslid_key
             AND typ.prs_kenmerk_key(+) = 1282
             AND klr.prs_link_key(+) = pf.prs_perslid_key
             AND klr.prs_kenmerk_key(+) = 1283)
   UNION
     (SELECT prs_perslid_naam_full||'2' hide_f_sort
            ,prs_perslid_naam_full fclt_x_naam
            ,      '<a class="details" onclick=''FcltMgr.openDetail("'
                || 'appl/prs/prs_perslid.asp?key='||pf.prs_perslid_key
                || '")''>'
                || htf.escape_sc(prs_perslid_naam_full)
                || '</a>'
             html_naam
            ,knt.prs_kenmerklink_waarde fclt_f_kenteken
            ,ud.fac_usrdata_omschr soort
            ,mrk.prs_kenmerklink_waarde merk
            ,typ.prs_kenmerklink_waarde type
            ,klr.prs_kenmerklink_waarde kleur
        FROM prs_v_perslid_fullnames pf
            ,prs_v_aanwezigkenmerklink knt
            ,prs_v_aanwezigkenmerklink srt
            ,fac_usrdata ud
            ,prs_v_aanwezigkenmerklink mrk
            ,prs_v_aanwezigkenmerklink typ
            ,prs_v_aanwezigkenmerklink klr
       WHERE     knt.prs_link_key = pf.prs_perslid_key
             AND knt.prs_kenmerk_key = 1284
             AND srt.prs_link_key(+) = pf.prs_perslid_key
             AND srt.prs_kenmerk_key(+) = 1285
             AND srt.prs_kenmerklink_waarde = ud.fac_usrdata_key(+)
             AND mrk.prs_link_key(+) = pf.prs_perslid_key
             AND mrk.prs_kenmerk_key(+) = 1286
             AND typ.prs_link_key(+) = pf.prs_perslid_key
             AND typ.prs_kenmerk_key(+) = 1287
             AND klr.prs_link_key(+) = pf.prs_perslid_key
             AND klr.prs_kenmerk_key(+) = 1288)
   UNION
     (SELECT prs_perslid_naam_full||'3' hide_f_sort
            ,prs_perslid_naam_full fclt_x_naam
            ,      '<a class="details" onclick=''FcltMgr.openDetail("'
                || 'appl/prs/prs_perslid.asp?key='||pf.prs_perslid_key
                || '")''>'
                || htf.escape_sc(prs_perslid_naam_full)
                || '</a>'
             html_naam
            ,knt.prs_kenmerklink_waarde fclt_f_kenteken
            ,ud.fac_usrdata_omschr soort
            ,mrk.prs_kenmerklink_waarde merk
            ,typ.prs_kenmerklink_waarde type
            ,klr.prs_kenmerklink_waarde kleur
        FROM prs_v_perslid_fullnames pf
            ,prs_v_aanwezigkenmerklink knt
            ,prs_v_aanwezigkenmerklink srt
            ,fac_usrdata ud
            ,prs_v_aanwezigkenmerklink mrk
            ,prs_v_aanwezigkenmerklink typ
            ,prs_v_aanwezigkenmerklink klr
       WHERE     knt.prs_link_key = pf.prs_perslid_key
             AND knt.prs_kenmerk_key = 1289
             AND srt.prs_link_key(+) = pf.prs_perslid_key
             AND srt.prs_kenmerk_key(+) = 1290
             AND srt.prs_kenmerklink_waarde = ud.fac_usrdata_key(+)
             AND mrk.prs_link_key(+) = pf.prs_perslid_key
             AND mrk.prs_kenmerk_key(+) = 1291
             AND typ.prs_link_key(+) = pf.prs_perslid_key
             AND typ.prs_kenmerk_key(+) = 1292
             AND klr.prs_link_key(+) = pf.prs_perslid_key
             AND klr.prs_kenmerk_key(+) = 1293)
   ORDER BY hide_f_sort;

BEGIN adm.systrackscriptId('$Id$'); END;
/

COMMIT;

SPOOL OFF